## re 0.1.0

=== DESCRIPTION ===
Package: re
Title: 'Python' Style Regular Expression Functions
Version: 0.1.0
Authors@R: 
    person("Garrett", "Shipley", , "garrett.shipley7@gmail.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-0444-0367"))
Description: A comprehensive set of regular expression functions based on those found in 'Python'
    without relying on 'reticulate'. It provides functions that intend to (1) make it easier for
    users familiar with 'Python' to work with regular expressions, (2) reduce the complexity often
    associated with regular expressions code, (3) and enable users to write more readable and
    maintainable code that relies on regular expression-based pattern matching.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.2.3
Imports: stringi
URL: https://pythonicr.github.io/re/, https://github.com/pythonicr/re
BugReports: https://github.com/pythonicr/re/issues
Config/Needs/website: pythonicr/pythonicrtemplate
Suggests: testthat (>= 3.0.0)
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2024-08-27 21:39:17 UTC; garrettshipley
Author: Garrett Shipley [aut, cre] (<https://orcid.org/0000-0002-0444-0367>)
Maintainer: Garrett Shipley <garrett.shipley7@gmail.com>
Repository: CRAN
Date/Publication: 2024-09-02 14:30:07 UTC

## re 0.1

=== debian/changelog ===
re (0.1-7) unstable; urgency=low

  * Update compile arguments to fix cross-compilation (Closes: #850466)
  * Update standarts version

 -- Aigars Mahinovs <aigarius@debian.org>  Sun, 21 Oct 2018 13:25:13 +0200

re (0.1-6) unstable; urgency=low

  * Compile with echo on to show the GCC command line (Closes: #355127)
  * Fix a description typo (Closes: #268542, #277234)
  * Take over the compilation to provide the right flags (Closes: #748420,
    #437888)
  * Document the IO letter situation (Closes: #256737)
  * Update packaging (Closes: #800224)

 -- Aigars Mahinovs <aigarius@debian.org>  Sun, 06 Dec 2015 10:03:13 +0200

re (0.1-5) unstable; urgency=low

  * Recompile with -fsigned-char to override default on some arch
    Thanks Gerhard Tonn. (Closes: #176271)

 -- Aigars Mahinovs <aigarius@debian.org>  Sat, 11 Jan 2003 20:08:50 +0200

re (0.1-4) unstable; urgency=low

  * Recompile to latest libs (Should fix uninstalability on hurd)
  * Fix spelling in description (Closes: #125303)

 -- Aigars Mahinovs <aigarius@debian.org>  Tue, 19 Nov 2002 15:33:20 +0000

re (0.1-3) unstable; urgency=low

  * Recompiled to latest libs (Closes: #109418)
  * Standarts-Version updated

 -- Aigars Mahinovs <aigarius@debian.org>  Thu, 23 Aug 2001 13:18:32 +0000

re (0.1-2) unstable; urgency=low

  * Changed upstream URL
  * Added Build-Depends line
  * First official upload to Debian

 -- Aigars Mahinovs <aigarius@debian.org>  Wed, 8 Nov 2000 22:40:23 +0000

re (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Aigars Mahinovs <aigarius@mail.lv>  Tue, 21 Mar 2000 23:16:10 +0000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: re
Section: text
Priority: optional
Maintainer: Aigars Mahinovs <aigarius@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.2.1

Package: re
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Russian Anywhere -- Russian text converter
 Russian Anywhere is a Russian character decoding program. It allows one to
 transfer Russian characters between different codepages. Main
 purpose is to convert damaged Russian e-mail messages to readable form and
 it also may be used to convert files from/to known and unknown codepages.

=== debian/rules ===
#!/usr/bin/make -f
DESTDIR=./debian/re
include /usr/share/dpkg/architecture.mk
ifeq ($(origin CXX),default)
CXX := $(DEB_HOST_GNU_TYPE)-g++
endif

override_dh_auto_build:
	$(CXX) -fsigned-char -Wno-write-strings $(CXXFLAGS) $(LDFLAGS) src/re_cmd.c src/ru32call.c src/ru32cp.c src/ru32var.c src/ru32lat.c  src/ru32fi.c src/ru32au.c src/ru32mau.c src/ru32un.c -ore

override_dh_auto_clean:
	rm -f ./re
	rm -f ./src/*.o

override_dh_auto_install:
	install ./re $(DESTDIR)/usr/bin/re

%:
	dh $@

## re roll-0.0.2

=== requirements.txt ===
argparse==1.1
